Package org.apache.sysds.runtime.controlprogram.paramserv.dp

# Class DataPartitionLocalScheme

java.lang.Object
org.apache.sysds.runtime.controlprogram.paramserv.dp.DataPartitionLocalScheme

Direct Known Subclasses:
  `DCLocalScheme`, `DRLocalScheme`, `DRRLocalScheme`, `ORLocalScheme`

public abstract class DataPartitionLocalScheme extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`final class`
`DataPartitionLocalScheme.Result`

## Constructor Summary

Constructors
Constructor
Description
`DataPartitionLocalScheme()`

## Method Summary

Modifier and Type
Method
Description
`abstract DataPartitionLocalScheme.Result`
`doPartitioning(int workersNum, MatrixBlock features, MatrixBlock labels)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DataPartitionLocalScheme

public DataPartitionLocalScheme()

## Method Details

### doPartitioning

public abstract DataPartitionLocalScheme.Result doPartitioning(int workersNum, MatrixBlock features, MatrixBlock labels)